<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Tipopagos{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar regiustro
public function insertar($nombre){
	$sql="INSERT INTO tipopago (nombre,condicion) VALUES ('$nombre','1')";
	return ejecutarConsulta($sql);
}

public function editar($idtipopago,$nombre){
	$sql="UPDATE tipopago SET nombre='$nombre' 
	WHERE idtipopago='$idtipopago'";
	return ejecutarConsulta($sql);
}
public function desactivar($idtipopago){
	$sql="UPDATE tipopago SET condicion='0' WHERE idtipopago='$idtipopago'";
	return ejecutarConsulta($sql);
}
public function activar($idtipopago){
	$sql="UPDATE tipopago SET condicion='1' WHERE idtipopago='$idtipopago'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idtipopago){
	$sql="SELECT * FROM tipopago WHERE idtipopago='$idtipopago'";
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listar(){
	$sql="SELECT * FROM tipopago";
	return ejecutarConsulta($sql);
}
//listar y mostrar en selct
public function select(){
	$sql="SELECT * FROM tipopago WHERE condicion=1";
	return ejecutarConsulta($sql);
}
}

 ?>
